RDKit::RGroupDecompData::UsedLabels Class Reference

`#include <RGroupDecompData.h>`

## Public Member Functions

bool | add (int rlabel)
int | next ()

## Public Attributes

std::set< int > | labels_used

## Detailed Description

Definition at line 214 of file RGroupDecompData.h.

## Member Function Documentation

## add()

bool RDKit::RGroupDecompData::UsedLabels::add | ( | int | rlabel | ) |

inline

Definition at line 217 of file RGroupDecompData.h.

References labels_used.

Referenced by RDKit::RGroupDecompData::relabel(), and RDKit::RGroupDecompData::relabelCore().

## next()

int RDKit::RGroupDecompData::UsedLabels::next | ( |  | ) |

inline

Definition at line 225 of file RGroupDecompData.h.

References labels_used.

Referenced by RDKit::RGroupDecompData::relabelCore().

## Member Data Documentation

## labels_used

std::set<int> RDKit::RGroupDecompData::UsedLabels::labels_used

Definition at line 216 of file RGroupDecompData.h.

Referenced by add(), and next().

The documentation for this class was generated from the following file:

- RGroupDecompData.h